ghc-7.6.3: The GHC API

Safe Haskell | None

TcCanonical

# Documentation

canonicalize :: Ct -> TcS StopOrContinue

flatten :: SubGoalDepth -> FlattenMode -> CtEvidence -> TcType -> TcS (Xi, TcCoercion)

flattenMany :: SubGoalDepth -> FlattenMode -> CtEvidence -> [Type] -> TcS ([Xi], [TcCoercion])

occurCheckExpand :: TcTyVar -> Type -> Maybe Type

data FlattenMode

Constructors

FMSubstOnly |
FMFullFlatten |

data StopOrContinue

Constructors

ContinueWith Ct |
Stop |

Instances

Outputable StopOrContinue |